## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AdvancedPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.ui.views.properties.tabbed.AdvancedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AdvancedPropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public class AdvancedPropertySection

extends org.eclipse.ui.views.properties.tabbed.AdvancedPropertySection

An implementation of the old PropertyView as a new tab in the Eclipse Tabbed Properties View Creation 5 april 2006
Last Modified 17 august 06

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AdvancedPropertySection
`page`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AdvancedPropertySection()`

Method Summary
`void` `aboutToBeHidden()`
`void` `aboutToBeShown()`
`void` `createControls(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)`
`AbstractTabbedPropertySheetPage` `getPropertySheetPage()` Returns the propertySheetPage
`protected void` `setActionBars(org.eclipse.ui.IActionBars actionBars)` Sets and prepares the actionBars for this section

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AdvancedPropertySection
`dispose, refresh, setInput, shouldUseExtraSpace`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdvancedPropertySection

    public AdvancedPropertySection()

Method Detail

### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage tabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `createControls` in class `org.eclipse.ui.views.properties.tabbed.AdvancedPropertySection`
  See Also:
    `ISection.createControls(org.eclipse.swt.widgets.Composite, org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage)`

### setActionBars

    protected void setActionBars(org.eclipse.ui.IActionBars actionBars)

  Sets and prepares the actionBars for this section

  Parameters:
    `actionBars` - the action bars for this page

### aboutToBeHidden

    public void aboutToBeHidden()

  Specified by:
    `aboutToBeHidden` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `aboutToBeHidden` in class `org.eclipse.ui.views.properties.tabbed.AbstractPropertySection`
  See Also:
    `AbstractPropertySection.aboutToBeHidden()`

### aboutToBeShown

    public void aboutToBeShown()

  Specified by:
    `aboutToBeShown` in interface `org.eclipse.ui.views.properties.tabbed.ISection`
  Overrides:
    `aboutToBeShown` in class `org.eclipse.ui.views.properties.tabbed.AbstractPropertySection`
  See Also:
    `AbstractPropertySection.aboutToBeShown()`

### getPropertySheetPage

    public AbstractTabbedPropertySheetPage getPropertySheetPage()

  Returns the propertySheetPage

  Returns:
    The PropertySheetPage

Copyright 2007 Anyware Technologies. All Rights Reserved.